Check goals
curl --request POST \
--url https://api.livechatinc.com/v3.7/customer/action/check_goals \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"page_url": "https://mypage.com",
"session_fields": [
{
"custom_key": "custom_value"
},
{
"another_custom_key": "another_custom_value"
}
],
"group_id": 0
}
'import requests
url = "https://api.livechatinc.com/v3.7/customer/action/check_goals"
payload = {
"page_url": "https://mypage.com",
"session_fields": [{ "custom_key": "custom_value" }, { "another_custom_key": "another_custom_value" }],
"group_id": 0
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
page_url: 'https://mypage.com',
session_fields: [{custom_key: 'custom_value'}, {another_custom_key: 'another_custom_value'}],
group_id: 0
})
};
fetch('https://api.livechatinc.com/v3.7/customer/action/check_goals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Other
Check goals
Triggers checking if goals were achieved. Works only for offline customers.
POST
/
action
/
check_goals
Check goals
Authorizations
Customer access token obtained from the customer authorization flow.
Query Parameters
Unique identifier of the organization.
Body
application/json
Response
200
Goals checked.
Was this page helpful?
⌘I